<template>
  <div @click.stop="toggleToday()">
    <i
      :class="`hero fire ${task.isFocus() ? 'solid' : 'outline text-gray-300'} clickable-bg rounded-full p-2 -m-2`"
    ></i>
  </div>
</template>

<script>
import Task from "@/models/Task";
export default {
  props: {
    task: {
      type: Task,
      required: true
    }
  },
  setup(props) {
    return {
      toggleToday: async () => {
        props.task.toggleToday();
        if (props.task.$isPersistent) {
          await props.task.$saveOnly(["todayAt"]);
        }
      }
    };
  }
};
</script>
